Subject: [Manet-dt] DYMO Using Common Format

From: Ian Chakeres <[email-masked]>
Date: Tue, 13 Dec 2005 20:37:04 -0800

In DYMO we'll need two message types:
DYMO_RD (Route discovery - RREQ/RREP) and DYMO_RERR.

Now let's talk about tlvs.

message tlvs
?ttl? - see msg-header-info discussion

address tlvs
DYMO Seq Num - multivalue
Hop Count - multivalue
(an attribute is simply a tlv type with no length/value)
Gateway attribute
Originator address attribute
***Target address attribute
unreachable address attribute

***We might want to make an target address message tlv instead of a  
target address attribute tlv- I'll mark this as a later matter to  
discuss.

I think we can use the type-semantic bits for I (ignore), A (solicit  
RREP) and S (solicit unicast packet).  Alternatively, the A-bit could  
be an address attribute tlv.

I think the I-bit should probably be moved into the common format.  
Meaning that a message of an unknown type was blindly forwarded.

DYMO people, please chime in if you think we need any other tlvs.

Ian Chakeres

FYI; I'd like to try to write up a first rev of the dymo spec using  
the common packet format over the weekend.

_______________________________________________
Manet-dt mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet-dt